<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.subscribe.AddCreditCardPaymentActivity">

    <include
        android:id="@+id/il_add_payment_method_top_info"
        layout="@layout/layout_top_bar" />

    <androidx.core.widget.NestedScrollView
        style="@style/my_ScrollView_style"
        android:layout_weight="1"
        android:padding="@dimen/dp_16">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <include
                android:id="@+id/il_add_card_number"
                layout="@layout/layout_input_edit_view2" />

            <include
                android:id="@+id/il_add_card_name_on_card"
                layout="@layout/layout_input_edit_view2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/il_add_card_number"
                android:layout_marginTop="@dimen/dp_16" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll_add_card_cvc_and_data"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/il_add_card_name_on_card"
                android:layout_marginTop="@dimen/dp_16"
                android:background="@drawable/shape8_gray_border_white_bg"
                android:orientation="horizontal">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/ll_add_card_mm_dd_layout"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.2"
                    android:gravity="center_vertical"
                    android:minHeight="@dimen/dp_56"
                    android:orientation="vertical"
                    android:paddingHorizontal="@dimen/dp_16"
                    android:paddingVertical="@dimen/dp_8">

                    <com.abbidot.tracker.widget.TypefaceTextView
                        style="@style/my_TextView_style_v2"
                        android:text="@string/txt_mm_dd"
                        android:textColor="@color/block_color2"
                        android:textSize="@dimen/textSize14"
                        app:typeface="@string/roboto_regular_font" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_add_card_mm_dd_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@null"
                        android:inputType="number"
                        android:maxLength="@integer/max_length5"
                        android:textColor="@color/data_black_color"
                        android:textSize="@dimen/textSize14"
                        android:visibility="gone" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <View
                    android:layout_width="@dimen/dp_1"
                    android:layout_height="match_parent"
                    android:background="@color/white_gray_color" />

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/ll_add_card_cvc_layout"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:minHeight="@dimen/dp_56"
                    android:orientation="vertical"
                    android:paddingHorizontal="@dimen/dp_16"
                    android:paddingVertical="@dimen/dp_8">

                    <com.abbidot.tracker.widget.TypefaceTextView
                        style="@style/my_TextView_style_v2"
                        android:text="@string/txt_cvc"
                        android:textColor="@color/block_color2"
                        android:textSize="@dimen/textSize14"
                        app:typeface="@string/roboto_regular_font" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/et_add_card_cvc_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@null"
                        android:inputType="number"
                        android:maxLength="@integer/max_length4"
                        android:textColor="@color/data_black_color"
                        android:textSize="@dimen/textSize14"
                        android:visibility="gone" />

                </androidx.appcompat.widget.LinearLayoutCompat>
            </androidx.appcompat.widget.LinearLayoutCompat>

            <com.abbidot.tracker.widget.TypefaceTextView
                android:id="@+id/tv_add_card_accepted_cards_title"
                style="@style/my_TextView_style_v2"
                android:layout_width="match_parent"
                android:layout_below="@id/ll_add_card_cvc_and_data"
                android:layout_marginTop="@dimen/dp_16"
                android:text="@string/txt_accepted_cards"
                android:textColor="@color/select_color3"
                android:textSize="@dimen/textSize12"
                app:typeface="@string/roboto_regular_font" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll_add_card_accepted_cards"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/tv_add_card_accepted_cards_title"
                android:layout_marginTop="@dimen/dp_10"
                android:gravity="center"
                android:orientation="horizontal">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="@dimen/dp_36"
                    android:layout_height="@dimen/dp_26"
                    android:background="@drawable/shape4_gray_border_white_bg"
                    android:paddingHorizontal="@dimen/dp_6"
                    android:src="@drawable/icon_master_card_svg" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="@dimen/dp_36"
                    android:layout_height="@dimen/dp_26"
                    android:layout_marginHorizontal="@dimen/dp_8"
                    android:background="@drawable/shape4_gray_border_white_bg"
                    android:paddingHorizontal="@dimen/dp_4"
                    android:src="@drawable/ico_lay_visa_card" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="@dimen/dp_36"
                    android:layout_height="@dimen/dp_26"
                    android:background="@drawable/shape4_gray_border_white_bg"
                    android:paddingHorizontal="@dimen/dp_8"
                    android:src="@drawable/icon_diners_club_svg" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="@dimen/dp_36"
                    android:layout_height="@dimen/dp_26"
                    android:layout_marginStart="@dimen/dp_8"
                    android:background="@drawable/shape4_gray_border_white_bg"
                    android:paddingLeft="@dimen/dp_4"
                    android:paddingTop="@dimen/dp_8"
                    android:paddingEnd="@dimen/dp_05"
                    android:src="@drawable/icon_discover_card_svg" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.AppCompatCheckBox
                android:id="@+id/cb_add_card_set_primary_switch"
                style="@style/my_checkbox_switch_style"
                android:layout_below="@id/ll_add_card_accepted_cards"
                android:layout_alignParentEnd="true"
                android:layout_marginTop="@dimen/dp_16" />

            <com.abbidot.tracker.widget.TypefaceTextView
                style="@style/my_TextView_style_v2"
                android:layout_below="@id/ll_add_card_accepted_cards"
                android:layout_alignTop="@id/cb_add_card_set_primary_switch"
                android:layout_alignBottom="@id/cb_add_card_set_primary_switch"
                android:text="@string/txt_set_primary_card"
                android:textSize="@dimen/textSize14"
                app:typeface="@string/roboto_regular_font" />
        </RelativeLayout>
    </androidx.core.widget.NestedScrollView>

    <com.abbidot.tracker.widget.TypefaceButton
        android:id="@+id/btn_save_new_credit_card"
        style="@style/my_match_RoundRect_Button_style"
        android:layout_marginHorizontal="@dimen/dp_16"
        android:text="@string/txt_save_card"
        app:qmui_radius="@dimen/dp_64"
        app:typeface="@string/roboto_bold_font" />
</androidx.appcompat.widget.LinearLayoutCompat>